Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513418 - Cluster name is missing for host log records
Summary: Cluster name is missing for host log records
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-metrics
Classification: oVirt
Component: Generic
Version: 1.0.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.2.0
: ---
Assignee: Shirly Radco
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 11:36 UTC by Shirly Radco
Modified: 2017-12-20 11:15 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-metrics-1.1.1-1.el7ev
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-20 11:15:54 UTC
oVirt Team: Metrics
rule-engine: ovirt-4.2+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 84488 master MERGED fluentd: add cluster name to host logs 2017-11-23 06:43:27 UTC

Description Shirly Radco 2017-11-15 11:36:19 UTC
Description of problem:
We want to be able to filter logs based on the cluster name.
Currently this is only possible for metrics.

Comment 2 Lukas Svaty 2017-11-22 15:52:34 UTC
I don't see the benefit of engine.log support. For vdsm.log it's nice feature, for SPM diagnoses and so on. But engine.log is the same for all DCs and all Clusters.

Comment 3 Shirly Radco 2017-11-23 06:42:00 UTC
I agree. updated the bug header and patch.

Comment 4 Lukas Svaty 2017-12-06 14:14:15 UTC
this did not get to downstream build
tested on ovirt-engine-metrics-1.1.1-0.3.beta2.20171114114644.el7ev.noarch

Shirly which version should include this fix?

Comment 5 Shirly Radco 2017-12-13 11:58:01 UTC
Should be in ovirt-engine-metrics-1.1.1-1.el7ev

Comment 6 Lukas Svaty 2017-12-14 15:41:09 UTC
tested in ovirt-engine-metrics-1.1.1-1.el7ev.noarch

{
  "_index": "project.ovirt-logs-test-engine.af901632-da69-11e7-b1bc-001a4a013f0b.2017.12.14",
  "_type": "com.redhat.viaq.common",
  "_id": "AWBVrtUVkj3DDOwq70Qa",
  "_score": null,
  "_source": {
    "level": "INFO",
    "message": "START getSpmStatus(spUUID=u'5a21289b-00cd-014c-001a-0000000001bb', options=None) from=::ffff:10.37.137.8,50692, task_id=7b809f2b-54f1-40aa-bcb7-c93fb50c4a27",
    "service": "ovirt.vdsm",
    "tag": "project.ovirt-logs-test-engine",
    "hostname": "localhost.localdomain",
    "ipaddr4": "10.37.138.230",
    "ovirt": {
      "class": "jsonrpc/1",
      "thread": "vdsm.api",
      "module_lineno": "api:46",
      "cluster_name": "Default" <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
    },
    "pipeline_metadata": {
      "collector": {
        "ipaddr4": "127.0.0.1",
        "ipaddr6": "::1",
        "inputname": "fluent-plugin-systemd",
        "name": "fluentd",
        "received_at": "2017-12-14T15:40:07.883372+00:00",
        "version": "unknown fluentd version unknown data version"
      }
    },
    "@timestamp": "2017-12-14T16:40:07+01:00"
  },
  "fields": {
    "@timestamp": [
      1513266007000
    ],
    "pipeline_metadata.collector.received_at": [
      1513266007883
    ]
  },
  "highlight": {
    "hostname": [
      "@kibana-highlighted-field@localhost.localdomain@/kibana-highlighted-field@"
    ]
  },
  "sort": [
    1513266007000
  ]
}

Comment 7 Sandro Bonazzola 2017-12-20 11:15:54 UTC
This bugzilla is included in oVirt 4.2.0 release, published on Dec 20th 2017.

Since the problem described in this bug report should be
resolved in oVirt 4.2.0 release, published on Dec 20th 2017, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.